//FEU - [2020-06-22 11:41:46]
#ifndef _FEU_H_
#define _FEU_H_

#include "CTeam.h"
#include "CFTTTexture.h"
#include "CMyProfile.h"
#include "XMATH.h"
#include "CFTTTextureAtlas.h"

/*
0014A2AC FEU_PanelBox(float,float,float,float,int)
0014A470 FEU_Highlight(float,float,float,float,int)
0014A634 FEU_TSXBox(float,float,float,float,uint,uint,void *)
0014AA24 FEU_ShadowBox(float,float,float,float,int)
0014ABD0 FEU_TSXBox(float,float,float,float,uint,bool)
0014ABF0 FEU_ShadowBoxRot(float,float,float,float,int,float,float,float)
0014AE34 FEU_ShadowBoxSmallRot(float,float,float,float,int,float,float,float)
0014B054 FEU_PanelBox64(float,float,float,float,int)
0014B220 FEU_PanelBox32(float,float,float,float,int)
0014B3EC FEU_TeamsBox(int,int,int,int)
0014B4AC FEU_EdgeBox(float,float,float,float,float,uint,uint)
0014B5E0 FEU_DrawFlag(float,float,float,float,float,float,float,uint,uint,bool)
0014B8A4 FEU_DrawSpinner()
0014B9C4 FEU_DrawLoadingWheel(float,float,float)
0014BA50 FEU_UpdateHighlightRect(TRect *,float)
*/

//0014A2AC
void FEU_PanelBox(float, float, float, float, int);

//0014A470
void FEU_Highlight(float, float, float, float, int);

//0014A634
void FEU_TSXBox(float, float, float, float, uint, uint, void *);

//0014AA24
void FEU_ShadowBox(float, float, float, float, int);

//0014ABD0
void FEU_TSXBox(float, float, float, float, uint, bool);

//0014ABF0
void FEU_ShadowBoxRot(float, float, float, float, int, float, float, float);

//0014AE34
void FEU_ShadowBoxSmallRot(float, float, float, float, int, float, float, float);

//0014B054
void FEU_PanelBox64(float, float, float, float, int);

//0014B220
void FEU_PanelBox32(float, float, float, float, int);

//0014B3EC
void FEU_TeamsBox(int, int, int, int);

//0014B4AC
void FEU_EdgeBox(float, float, float, float, float, uint, uint);

//0014B5E0
void FEU_DrawFlag(float, float, float, float, float, float, float, uint, uint, bool);

//0014B8A4
void FEU_DrawSpinner();

//0014B9C4
void FEU_DrawLoadingWheel(float, float, float);

//0014BA50
float FEU_UpdateHighlightRect(TRect *, float);

//-------------------------------------------------------------------------------------------------
#endif  //_FEU_H_